package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class mapa_rutas_subs_0 {


public static void  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,56);
if (RapidSub.canDelegate("activity_create")) { keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_create", _firsttime); return;}
ResumableSub_Activity_Create rsub = new ResumableSub_Activity_Create(null,_firsttime);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_Activity_Create extends BA.ResumableSub {
public ResumableSub_Activity_Create(keymon.lat.medicomed.mapa_rutas parent,RemoteObject _firsttime) {
this.parent = parent;
this._firsttime = _firsttime;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
keymon.lat.medicomed.mapa_rutas parent;
RemoteObject _firsttime;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,56);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 57;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
Debug.ShouldStop(16777216);
parent.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("MAPA_RUTAS")),mapa_rutas.mostCurrent.activityBA);
 BA.debugLineNum = 61;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(268435456);
parent._ruta = parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal");
 BA.debugLineNum = 63;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(1073741824);
if (true) break;

case 1:
//if
this.state = 4;
if (RemoteObject.solveBoolean("=",parent.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(parent._ruta),(Object)(RemoteObject.createImmutable("kmt.db"))),parent.mostCurrent.__c.getField(true,"False"))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 64;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(-2147483648);
parent.mostCurrent.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(parent._ruta),(Object)(RemoteObject.createImmutable("kmt.db")));
 if (true) break;

case 4:
//C
this.state = 5;
;
 BA.debugLineNum = 66;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
Debug.ShouldStop(2);
parent._skmt.runVoidMethod ("Initialize",(Object)(parent._ruta),(Object)(BA.ObjectToString("kmt.db")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 68;BA.debugLine="Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_";
Debug.ShouldStop(8);
parent.mostCurrent._starter._rp /*RemoteObject*/ .runVoidMethod ("CheckAndRequest",mapa_rutas.processBA,(Object)(parent.mostCurrent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 69;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(16);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_rutas.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_rutas", "activity_create"), null);
this.state = 19;
return;
case 19:
//C
this.state = 5;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 70;BA.debugLine="If Result Then";
Debug.ShouldStop(32);
if (true) break;

case 5:
//if
this.state = 14;
if (_result.<Boolean>get().booleanValue()) { 
this.state = 7;
}else {
this.state = 13;
}if (true) break;

case 7:
//C
this.state = 8;
 BA.debugLineNum = 71;BA.debugLine="StartService(Tracker)";
Debug.ShouldStop(64);
parent.mostCurrent.__c.runVoidMethod ("StartService",mapa_rutas.processBA,(Object)((parent.mostCurrent._tracker.getObject())));
 BA.debugLineNum = 72;BA.debugLine="Log(\"Start Tracker\")";
Debug.ShouldStop(128);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328377104",RemoteObject.createImmutable("Start Tracker"),0);
 BA.debugLineNum = 73;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable =";
Debug.ShouldStop(256);
if (true) break;

case 8:
//if
this.state = 11;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._mapfragment1.runMethod(true,"IsGooglePlayServicesAvailable",mapa_rutas.mostCurrent.activityBA),parent.mostCurrent.__c.getField(true,"False"))) { 
this.state = 10;
}if (true) break;

case 10:
//C
this.state = 11;
 BA.debugLineNum = 74;BA.debugLine="ToastMessageShow(\"Please install Google Play Se";
Debug.ShouldStop(512);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Please install Google Play Services.")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 if (true) break;

case 11:
//C
this.state = 14;
;
 if (true) break;

case 13:
//C
this.state = 14;
 BA.debugLineNum = 77;BA.debugLine="ToastMessageShow(\"No permission\", True)";
Debug.ShouldStop(4096);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("No permission")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 78;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(8192);
parent.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Principal")));
 if (true) break;

case 14:
//C
this.state = 15;
;
 BA.debugLineNum = 93;BA.debugLine="MARK_AZUL.IsInitialized";
Debug.ShouldStop(268435456);
parent.mostCurrent._mark_azul.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 94;BA.debugLine="MARK_ROJO.IsInitialized";
Debug.ShouldStop(536870912);
parent.mostCurrent._mark_rojo.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 95;BA.debugLine="MARK_VERDE.IsInitialized";
Debug.ShouldStop(1073741824);
parent.mostCurrent._mark_verde.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 97;BA.debugLine="LIST_AZUL.Initialize";
Debug.ShouldStop(1);
parent.mostCurrent._list_azul.runVoidMethod ("Initialize");
 BA.debugLineNum = 98;BA.debugLine="LIST_ROJO.Initialize";
Debug.ShouldStop(2);
parent.mostCurrent._list_rojo.runVoidMethod ("Initialize");
 BA.debugLineNum = 99;BA.debugLine="LIST_VERDE.Initialize";
Debug.ShouldStop(4);
parent.mostCurrent._list_verde.runVoidMethod ("Initialize");
 BA.debugLineNum = 100;BA.debugLine="verde = 0";
Debug.ShouldStop(8);
parent.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 101;BA.debugLine="azul = 0";
Debug.ShouldStop(16);
parent.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 102;BA.debugLine="rojo = 0";
Debug.ShouldStop(32);
parent.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 103;BA.debugLine="todos = 1";
Debug.ShouldStop(64);
parent.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 104;BA.debugLine="c=skmt.ExecQuery2(\"select count(*) AS CUANTOS fro";
Debug.ShouldStop(128);
parent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select count(*) AS CUANTOS from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {RemoteObject.createImmutable("SEMANA")}))));
 BA.debugLineNum = 105;BA.debugLine="c.Position =0";
Debug.ShouldStop(256);
parent._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 106;BA.debugLine="SEMANA = c.GetString(\"CUANTOS\")";
Debug.ShouldStop(512);
parent.mostCurrent._semana = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS")));
 BA.debugLineNum = 107;BA.debugLine="c.Close";
Debug.ShouldStop(1024);
parent._c.runVoidMethod ("Close");
 BA.debugLineNum = 109;BA.debugLine="If SEMANA > 0 Then";
Debug.ShouldStop(4096);
if (true) break;

case 15:
//if
this.state = 18;
if (RemoteObject.solveBoolean(">",BA.numberCast(double.class, parent.mostCurrent._semana),BA.numberCast(double.class, 0))) { 
this.state = 17;
}if (true) break;

case 17:
//C
this.state = 18;
 BA.debugLineNum = 110;BA.debugLine="c=skmt.ExecQuery2(\"select CAT_VA_VALOR from CAT_";
Debug.ShouldStop(8192);
parent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select CAT_VA_VALOR from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {RemoteObject.createImmutable("SEMANA")}))));
 BA.debugLineNum = 111;BA.debugLine="c.Position =0";
Debug.ShouldStop(16384);
parent._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 112;BA.debugLine="SEMANA = c.GetString(\"CAT_VA_VALOR\")";
Debug.ShouldStop(32768);
parent.mostCurrent._semana = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_VA_VALOR")));
 BA.debugLineNum = 113;BA.debugLine="c.Close";
Debug.ShouldStop(65536);
parent._c.runVoidMethod ("Close");
 if (true) break;

case 18:
//C
this.state = -1;
;
 BA.debugLineNum = 115;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,301);
if (RapidSub.canDelegate("activity_pause")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 301;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 302;BA.debugLine="GPS.Stop";
Debug.ShouldStop(8192);
mapa_rutas._gps.runVoidMethod ("Stop");
 BA.debugLineNum = 303;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,117);
if (RapidSub.canDelegate("activity_resume")) { keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_resume"); return;}
ResumableSub_Activity_Resume rsub = new ResumableSub_Activity_Resume(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_Activity_Resume extends BA.ResumableSub {
public ResumableSub_Activity_Resume(keymon.lat.medicomed.mapa_rutas parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
keymon.lat.medicomed.mapa_rutas parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,117);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 118;BA.debugLine="Starter.rp.Check(Starter.rp.PERMISSION_ACCESS_FIN";
Debug.ShouldStop(2097152);
parent.mostCurrent._starter._rp /*RemoteObject*/ .runVoidMethod ("Check",(Object)(parent.mostCurrent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 119;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(4194304);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_rutas.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_rutas", "activity_resume"), null);
this.state = 11;
return;
case 11:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 120;BA.debugLine="If Result Then";
Debug.ShouldStop(8388608);
if (true) break;

case 1:
//if
this.state = 10;
if (_result.<Boolean>get().booleanValue()) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 121;BA.debugLine="If Starter.GPS.GPSEnabled = False Then";
Debug.ShouldStop(16777216);
if (true) break;

case 4:
//if
this.state = 9;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"),parent.mostCurrent.__c.getField(true,"False"))) { 
this.state = 6;
}else {
this.state = 8;
}if (true) break;

case 6:
//C
this.state = 9;
 BA.debugLineNum = 122;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equip";
Debug.ShouldStop(33554432);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo.")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 123;BA.debugLine="StartActivity(Starter.GPS.LocationSettingsInten";
Debug.ShouldStop(67108864);
parent.mostCurrent.__c.runVoidMethod ("StartActivity",mapa_rutas.processBA,(Object)((parent.mostCurrent._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 if (true) break;

case 8:
//C
this.state = 9;
 BA.debugLineNum = 125;BA.debugLine="Starter.GPS.Start(0, 0)";
Debug.ShouldStop(268435456);
parent.mostCurrent._starter._gps /*RemoteObject*/ .runVoidMethodAndSync ("Start",mapa_rutas.processBA,(Object)(BA.numberCast(long.class, 0)),(Object)(BA.numberCast(float.class, 0)));
 if (true) break;

case 9:
//C
this.state = 10;
;
 if (true) break;

case 10:
//C
this.state = -1;
;
 BA.debugLineNum = 128;BA.debugLine="LIST_AZUL.Initialize";
Debug.ShouldStop(-2147483648);
parent.mostCurrent._list_azul.runVoidMethod ("Initialize");
 BA.debugLineNum = 129;BA.debugLine="LIST_ROJO.Initialize";
Debug.ShouldStop(1);
parent.mostCurrent._list_rojo.runVoidMethod ("Initialize");
 BA.debugLineNum = 130;BA.debugLine="LIST_VERDE.Initialize";
Debug.ShouldStop(2);
parent.mostCurrent._list_verde.runVoidMethod ("Initialize");
 BA.debugLineNum = 131;BA.debugLine="verde = 0";
Debug.ShouldStop(4);
parent.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 132;BA.debugLine="azul = 1";
Debug.ShouldStop(8);
parent.mostCurrent._azul = BA.NumberToString(1);
 BA.debugLineNum = 133;BA.debugLine="rojo = 0";
Debug.ShouldStop(16);
parent.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 134;BA.debugLine="todos = 0";
Debug.ShouldStop(32);
parent.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 135;BA.debugLine="End Sub";
Debug.ShouldStop(64);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b_azul_click() throws Exception{
try {
		Debug.PushSubsStack("B_AZUL_Click (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,337);
if (RapidSub.canDelegate("b_azul_click")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_azul_click");}
 BA.debugLineNum = 337;BA.debugLine="Sub B_AZUL_Click";
Debug.ShouldStop(65536);
 BA.debugLineNum = 338;BA.debugLine="azul = 1";
Debug.ShouldStop(131072);
mapa_rutas.mostCurrent._azul = BA.NumberToString(1);
 BA.debugLineNum = 339;BA.debugLine="verde = 0";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 340;BA.debugLine="rojo = 0";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 341;BA.debugLine="todos = 0";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 342;BA.debugLine="gmap.Clear";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 344;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(8388608);
_mapfragment1_ready();
 BA.debugLineNum = 346;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_rojo_click() throws Exception{
try {
		Debug.PushSubsStack("B_ROJO_Click (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,326);
if (RapidSub.canDelegate("b_rojo_click")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_rojo_click");}
 BA.debugLineNum = 326;BA.debugLine="Sub B_ROJO_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 327;BA.debugLine="rojo = 1";
Debug.ShouldStop(64);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(1);
 BA.debugLineNum = 328;BA.debugLine="verde = 0";
Debug.ShouldStop(128);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 329;BA.debugLine="azul = 0";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 330;BA.debugLine="todos = 0";
Debug.ShouldStop(512);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 331;BA.debugLine="gmap.Clear";
Debug.ShouldStop(1024);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 333;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(4096);
_mapfragment1_ready();
 BA.debugLineNum = 335;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_todos_click() throws Exception{
try {
		Debug.PushSubsStack("B_TODOS_Click (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,306);
if (RapidSub.canDelegate("b_todos_click")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_todos_click");}
 BA.debugLineNum = 306;BA.debugLine="Sub B_TODOS_Click";
Debug.ShouldStop(131072);
 BA.debugLineNum = 307;BA.debugLine="todos  =1";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 308;BA.debugLine="verde = 0";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 309;BA.debugLine="azul = 0";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 310;BA.debugLine="rojo = 0";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 312;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(8388608);
_mapfragment1_ready();
 BA.debugLineNum = 314;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_verde_click() throws Exception{
try {
		Debug.PushSubsStack("B_VERDE_Click (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,316);
if (RapidSub.canDelegate("b_verde_click")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_verde_click");}
 BA.debugLineNum = 316;BA.debugLine="Sub B_VERDE_Click";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 317;BA.debugLine="verde = 1";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._verde = BA.NumberToString(1);
 BA.debugLineNum = 318;BA.debugLine="azul = 0";
Debug.ShouldStop(536870912);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 319;BA.debugLine="rojo = 0";
Debug.ShouldStop(1073741824);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 320;BA.debugLine="todos = 0";
Debug.ShouldStop(-2147483648);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 321;BA.debugLine="gmap.Clear";
Debug.ShouldStop(1);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 322;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(2);
_mapfragment1_ready();
 BA.debugLineNum = 324;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Private gmap As GoogleMap";
mapa_rutas.mostCurrent._gmap = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper");
 //BA.debugLineNum = 20;BA.debugLine="Private MapFragment1 As MapFragment";
mapa_rutas.mostCurrent._mapfragment1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper");
 //BA.debugLineNum = 21;BA.debugLine="Dim Latitud As Double = 0";
mapa_rutas._latitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 22;BA.debugLine="Dim Longitud As Double = 0";
mapa_rutas._longitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 23;BA.debugLine="Dim Lat2 As Double = 0";
mapa_rutas._lat2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 24;BA.debugLine="Dim Lon2 As Double = 0";
mapa_rutas._lon2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 25;BA.debugLine="Dim p1, p2 As Location";
mapa_rutas.mostCurrent._p1 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
mapa_rutas.mostCurrent._p2 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 26;BA.debugLine="Dim Distance As Float";
mapa_rutas._distance = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 27;BA.debugLine="Dim boton1 As Button";
mapa_rutas.mostCurrent._boton1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_BLUE As Float";
mapa_rutas._hue_blue = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_RED As Float";
mapa_rutas._hue_red = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 30;BA.debugLine="Dim HUE_GREEN As Float";
mapa_rutas._hue_green = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 31;BA.debugLine="Private B_AZUL As Button";
mapa_rutas.mostCurrent._b_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 32;BA.debugLine="Private B_ROJO As Button";
mapa_rutas.mostCurrent._b_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 33;BA.debugLine="Private B_VERDE As Button";
mapa_rutas.mostCurrent._b_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 34;BA.debugLine="Private B_TODOS As Button";
mapa_rutas.mostCurrent._b_todos = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 35;BA.debugLine="Dim Tienda As String";
mapa_rutas.mostCurrent._tienda = RemoteObject.createImmutable("");
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
mapa_rutas._latitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
mapa_rutas._longitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mapa_rutas.mostCurrent._list_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mapa_rutas.mostCurrent._list_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mapa_rutas.mostCurrent._list_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mapa_rutas.mostCurrent._mark_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mapa_rutas.mostCurrent._mark_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mapa_rutas.mostCurrent._mark_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mapa_rutas.mostCurrent._mark_cedis = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mapa_rutas.mostCurrent._rojo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mapa_rutas.mostCurrent._azul = RemoteObject.createImmutable("");
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mapa_rutas.mostCurrent._verde = RemoteObject.createImmutable("");
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mapa_rutas.mostCurrent._todos = RemoteObject.createImmutable("");
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
mapa_rutas._numserie = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mapa_rutas.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mapa_rutas.mostCurrent._googlemapextra = RemoteObject.createNew ("uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras");
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mapa_rutas.mostCurrent._codigo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mapa_rutas.mostCurrent._semana = RemoteObject.createImmutable("");
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject _parametro) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,280);
if (RapidSub.canDelegate("gps_locationchanged")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","gps_locationchanged", _parametro);}
Debug.locals.put("Parametro", _parametro);
 BA.debugLineNum = 280;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 281;BA.debugLine="MARK_CEDIS.IsInitialized";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._mark_cedis.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 299;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _mapfragment1_ready() throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,137);
if (RapidSub.canDelegate("mapfragment1_ready")) { keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","mapfragment1_ready"); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(keymon.lat.medicomed.mapa_rutas parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
keymon.lat.medicomed.mapa_rutas parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);
RemoteObject _javamapsobject = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
int _i = 0;
RemoteObject _aa = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");
int step15;
int limit15;
int step35;
int limit35;
int step52;
int limit52;
int step69;
int limit69;
int step84;
int limit84;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,137);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 138;BA.debugLine="Log(\"ENTRANDO MapFragment1_Ready\")";
Debug.ShouldStop(512);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508161",RemoteObject.createImmutable("ENTRANDO MapFragment1_Ready"),0);
 BA.debugLineNum = 139;BA.debugLine="gmap = MapFragment1.GetMap";
Debug.ShouldStop(1024);
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.runMethod(false,"GetMap");
 BA.debugLineNum = 140;BA.debugLine="gmap.IsInitialized";
Debug.ShouldStop(2048);
parent.mostCurrent._gmap.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 144;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
Debug.ShouldStop(32768);
parent._rp.runVoidMethod ("CheckAndRequest",mapa_rutas.processBA,(Object)(parent._rp.getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 145;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(65536);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_rutas.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_rutas", "mapfragment1_ready"), null);
this.state = 80;
return;
case 80:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 146;BA.debugLine="gmap.MyLocationEnabled = Result";
Debug.ShouldStop(131072);
parent.mostCurrent._gmap.runMethod(true,"setMyLocationEnabled",_result);
 BA.debugLineNum = 148;BA.debugLine="Dim JavaMapsObject As JavaObject";
Debug.ShouldStop(524288);
_javamapsobject = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 149;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
Debug.ShouldStop(1048576);
_javamapsobject = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.object.JavaObject"), parent.mostCurrent._gmap.runMethod(false,"GetUiSettings").getObject());Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 150;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
Debug.ShouldStop(2097152);
_javamapsobject.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMapToolbarEnabled")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(parent.mostCurrent.__c.getField(true,"True"))})));
 BA.debugLineNum = 152;BA.debugLine="If azul = 1 Or todos = 1  Then";
Debug.ShouldStop(8388608);
if (true) break;

case 1:
//if
this.state = 30;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._azul,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 153;BA.debugLine="c.IsInitialized";
Debug.ShouldStop(16777216);
parent._c.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 154;BA.debugLine="c=skmt.ExecQuery(\"select CAT_CL_CODIGO,CAT_CL_NO";
Debug.ShouldStop(33554432);
parent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO,CAT_CL_NOMBRE,CAT_CL_LAT,CAT_CL_LONG,CAT_CL_SECUENCIA from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 and CAT_CL_LAT <> ' ' and CAT_CL_LONG <> ' ' "))));
 BA.debugLineNum = 156;BA.debugLine="Log($\"============== Resultados = ${c.RowCount}\"";
Debug.ShouldStop(134217728);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508179",(RemoteObject.concat(RemoteObject.createImmutable("============== Resultados = "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._c.runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 157;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(268435456);
if (true) break;

case 4:
//if
this.state = 23;
if (RemoteObject.solveBoolean(">",parent._c.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 158;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(536870912);
if (true) break;

case 7:
//for
this.state = 22;
step15 = 1;
limit15 = RemoteObject.solve(new RemoteObject[] {parent._c.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 81;
if (true) break;

case 81:
//C
this.state = 22;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 82:
//C
this.state = 81;
_i = ((int)(0 + _i + step15)) ;
Debug.locals.put("i", _i);
if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 159;BA.debugLine="c.Position = i";
Debug.ShouldStop(1073741824);
parent._c.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 162;BA.debugLine="LatitudRu = 0";
Debug.ShouldStop(2);
parent._latitudru = BA.numberCast(double.class, 0);
 BA.debugLineNum = 163;BA.debugLine="If c.GetString(\"CAT_CL_LAT\") <> \"\" Then Latitu";
Debug.ShouldStop(4);
if (true) break;

case 10:
//if
this.state = 15;
if (RemoteObject.solveBoolean("!",parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))),BA.ObjectToString(""))) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent._latitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
if (true) break;

case 15:
//C
this.state = 16;
;
 BA.debugLineNum = 164;BA.debugLine="LongitudRU = 0";
Debug.ShouldStop(8);
parent._longitudru = BA.numberCast(double.class, 0);
 BA.debugLineNum = 165;BA.debugLine="If c.GetString(\"CAT_CL_LONG\") <> \"\" Then Longi";
Debug.ShouldStop(16);
if (true) break;

case 16:
//if
this.state = 21;
if (RemoteObject.solveBoolean("!",parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))),BA.ObjectToString(""))) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent._longitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
if (true) break;

case 21:
//C
this.state = 82;
;
 BA.debugLineNum = 166;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(32);
parent.mostCurrent._codigo = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 167;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(64);
parent.mostCurrent._tienda = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 168;BA.debugLine="NumSerie=c.GetInt(\"CAT_CL_SECUENCIA\")";
Debug.ShouldStop(128);
parent._numserie = parent._c.runMethod(true,"GetInt",(Object)(RemoteObject.createImmutable("CAT_CL_SECUENCIA")));
 BA.debugLineNum = 169;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,Longitud";
Debug.ShouldStop(256);
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("marker-azul-"),parent._numserie,RemoteObject.createImmutable(".png")))).getObject())));
 BA.debugLineNum = 170;BA.debugLine="MARK_AZUL.Snippet = Tienda";
Debug.ShouldStop(512);
parent.mostCurrent._mark_azul.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 22:
//C
this.state = 23;
Debug.locals.put("i", _i);
;
 if (true) break;

case 23:
//C
this.state = 24;
;
 BA.debugLineNum = 173;BA.debugLine="c .Close";
Debug.ShouldStop(4096);
parent._c.runVoidMethod ("Close");
 BA.debugLineNum = 176;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
Debug.ShouldStop(32768);
if (true) break;

case 24:
//if
this.state = 29;
if (parent.mostCurrent._mark_azul.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 26;
;}if (true) break;

case 26:
//C
this.state = 29;
parent.mostCurrent._list_azul.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_azul.getObject())));
if (true) break;

case 29:
//C
this.state = 30;
;
 if (true) break;
;
 BA.debugLineNum = 179;BA.debugLine="If verde =1 Or todos = 1  Then";
Debug.ShouldStop(262144);

case 30:
//if
this.state = 57;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 32;
}else {
this.state = 42;
}if (true) break;

case 32:
//C
this.state = 33;
 BA.debugLineNum = 180;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(524288);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 181;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
Debug.ShouldStop(1048576);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_SECUENCIA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 182;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount}";
Debug.ShouldStop(2097152);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508205",(RemoteObject.concat(RemoteObject.createImmutable("============== Resultados = "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._c2.runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 183;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(4194304);
if (true) break;

case 33:
//for
this.state = 40;
step35 = 1;
limit35 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 83;
if (true) break;

case 83:
//C
this.state = 40;
if ((step35 > 0 && _i <= limit35) || (step35 < 0 && _i >= limit35)) this.state = 35;
if (true) break;

case 84:
//C
this.state = 83;
_i = ((int)(0 + _i + step35)) ;
Debug.locals.put("i", _i);
if (true) break;

case 35:
//C
this.state = 36;
 BA.debugLineNum = 184;BA.debugLine="c2.Position = i";
Debug.ShouldStop(8388608);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 186;BA.debugLine="If IsNumber(c2.GetString(\"CAT_CL_LONG\")) Then";
Debug.ShouldStop(33554432);
if (true) break;

case 36:
//if
this.state = 39;
if (parent.mostCurrent.__c.runMethod(true,"IsNumber",(Object)(parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))))).<Boolean>get().booleanValue()) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
 BA.debugLineNum = 187;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(67108864);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 188;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(134217728);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 189;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(268435456);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 190;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(536870912);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 191;BA.debugLine="NumSerie=c2.GetInt(\"CAT_CL_SECUENCIA\")";
Debug.ShouldStop(1073741824);
parent._numserie = parent._c2.runMethod(true,"GetInt",(Object)(RemoteObject.createImmutable("CAT_CL_SECUENCIA")));
 BA.debugLineNum = 192;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitu";
Debug.ShouldStop(-2147483648);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("marker-verde-"),parent._numserie,RemoteObject.createImmutable(".png")))).getObject())));
 BA.debugLineNum = 193;BA.debugLine="MARK_VERDE.Snippet = Tienda";
Debug.ShouldStop(1);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;

case 39:
//C
this.state = 84;
;
 if (true) break;
if (true) break;

case 40:
//C
this.state = 57;
Debug.locals.put("i", _i);
;
 if (true) break;

case 42:
//C
this.state = 43;
 BA.debugLineNum = 197;BA.debugLine="If verde =1 Or todos = 1  Then";
Debug.ShouldStop(16);
if (true) break;

case 43:
//if
this.state = 56;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 45;
}if (true) break;

case 45:
//C
this.state = 46;
 BA.debugLineNum = 198;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(32);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 199;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
Debug.ShouldStop(64);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 200;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount";
Debug.ShouldStop(128);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508223",(RemoteObject.concat(RemoteObject.createImmutable("============== Resultados = "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._c2.runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 201;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(256);
if (true) break;

case 46:
//for
this.state = 49;
step52 = 1;
limit52 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 85;
if (true) break;

case 85:
//C
this.state = 49;
if ((step52 > 0 && _i <= limit52) || (step52 < 0 && _i >= limit52)) this.state = 48;
if (true) break;

case 86:
//C
this.state = 85;
_i = ((int)(0 + _i + step52)) ;
Debug.locals.put("i", _i);
if (true) break;

case 48:
//C
this.state = 86;
 BA.debugLineNum = 202;BA.debugLine="c2.Position = i";
Debug.ShouldStop(512);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 204;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(2048);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 205;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(4096);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 206;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(8192);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 207;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(16384);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 208;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu,Longitu";
Debug.ShouldStop(32768);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_GREEN")));
 BA.debugLineNum = 209;BA.debugLine="MARK_VERDE.Snippet = Tienda";
Debug.ShouldStop(65536);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 49:
//C
this.state = 50;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 211;BA.debugLine="c2 .Close";
Debug.ShouldStop(262144);
parent._c2.runVoidMethod ("Close");
 BA.debugLineNum = 212;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
Debug.ShouldStop(524288);
if (true) break;

case 50:
//if
this.state = 55;
if (parent.mostCurrent._mark_verde.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 52;
;}if (true) break;

case 52:
//C
this.state = 55;
parent.mostCurrent._list_verde.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_verde.getObject())));
if (true) break;

case 55:
//C
this.state = 56;
;
 if (true) break;

case 56:
//C
this.state = 57;
;
 if (true) break;
;
 BA.debugLineNum = 217;BA.debugLine="If rojo =1 Or todos = 1 Then";
Debug.ShouldStop(16777216);

case 57:
//if
this.state = 79;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 59;
}else {
this.state = 65;
}if (true) break;

case 59:
//C
this.state = 60;
 BA.debugLineNum = 218;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(33554432);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 219;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
Debug.ShouldStop(67108864);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_SECUENCIA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 220;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount}";
Debug.ShouldStop(134217728);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508243",(RemoteObject.concat(RemoteObject.createImmutable("============== Resultados = "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._c3.runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 221;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(268435456);
if (true) break;

case 60:
//for
this.state = 63;
step69 = 1;
limit69 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 87;
if (true) break;

case 87:
//C
this.state = 63;
if ((step69 > 0 && _i <= limit69) || (step69 < 0 && _i >= limit69)) this.state = 62;
if (true) break;

case 88:
//C
this.state = 87;
_i = ((int)(0 + _i + step69)) ;
Debug.locals.put("i", _i);
if (true) break;

case 62:
//C
this.state = 88;
 BA.debugLineNum = 222;BA.debugLine="c3.Position = i";
Debug.ShouldStop(536870912);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 224;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(-2147483648);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 225;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(1);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 226;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(2);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 227;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(4);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 228;BA.debugLine="NumSerie=c3.GetInt(\"CAT_CL_SECUENCIA\")";
Debug.ShouldStop(8);
parent._numserie = parent._c3.runMethod(true,"GetInt",(Object)(RemoteObject.createImmutable("CAT_CL_SECUENCIA")));
 BA.debugLineNum = 229;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
Debug.ShouldStop(16);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("marker-rojo-"),parent._numserie,RemoteObject.createImmutable(".png")))).getObject())));
 BA.debugLineNum = 230;BA.debugLine="MARK_ROJO.Snippet = Tienda";
Debug.ShouldStop(32);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 63:
//C
this.state = 79;
Debug.locals.put("i", _i);
;
 if (true) break;

case 65:
//C
this.state = 66;
 BA.debugLineNum = 233;BA.debugLine="If rojo =1 Or  todos = 1  Then";
Debug.ShouldStop(256);
if (true) break;

case 66:
//if
this.state = 78;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 68;
}if (true) break;

case 68:
//C
this.state = 69;
 BA.debugLineNum = 234;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(512);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 235;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
Debug.ShouldStop(1024);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 236;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount";
Debug.ShouldStop(2048);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","328508259",(RemoteObject.concat(RemoteObject.createImmutable("============== Resultados = "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._c3.runMethod(true,"getRowCount")))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 237;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(4096);
if (true) break;

case 69:
//for
this.state = 72;
step84 = 1;
limit84 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 89;
if (true) break;

case 89:
//C
this.state = 72;
if ((step84 > 0 && _i <= limit84) || (step84 < 0 && _i >= limit84)) this.state = 71;
if (true) break;

case 90:
//C
this.state = 89;
_i = ((int)(0 + _i + step84)) ;
Debug.locals.put("i", _i);
if (true) break;

case 71:
//C
this.state = 90;
 BA.debugLineNum = 238;BA.debugLine="c3.Position = i";
Debug.ShouldStop(8192);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 240;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(32768);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 241;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(65536);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 242;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(131072);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 243;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(262144);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 244;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu,Longitud";
Debug.ShouldStop(524288);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._tienda),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_RED")));
 BA.debugLineNum = 245;BA.debugLine="MARK_ROJO.Snippet = Tienda";
Debug.ShouldStop(1048576);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 247;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";
Debug.ShouldStop(4194304);

case 72:
//if
this.state = 77;
if (parent.mostCurrent._mark_rojo.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 74;
;}if (true) break;

case 74:
//C
this.state = 77;
parent.mostCurrent._list_rojo.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_rojo.getObject())));
if (true) break;

case 77:
//C
this.state = 78;
;
 BA.debugLineNum = 248;BA.debugLine="c3.Close";
Debug.ShouldStop(8388608);
parent._c3.runVoidMethod ("Close");
 if (true) break;

case 78:
//C
this.state = 79;
;
 if (true) break;

case 79:
//C
this.state = -1;
;
 BA.debugLineNum = 257;BA.debugLine="Dim aa As CameraPosition";
Debug.ShouldStop(1);
_aa = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");Debug.locals.put("aa", _aa);
 BA.debugLineNum = 258;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
Debug.ShouldStop(2);
_aa.runVoidMethod ("Initialize",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(BA.numberCast(float.class, 15)));
 BA.debugLineNum = 259;BA.debugLine="gmap.AnimateCamera(aa)";
Debug.ShouldStop(4);
parent.mostCurrent._gmap.runVoidMethod ("AnimateCamera",(Object)((_aa.getObject())));
 BA.debugLineNum = 262;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
Debug.ShouldStop(32);
parent.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 BA.debugLineNum = 263;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
Debug.ShouldStop(64);
parent.mostCurrent._oninfowindowclicklistener1.runVoidMethod ("Initialize",mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("OnInfoWindowClickListener1")));
 BA.debugLineNum = 264;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
Debug.ShouldStop(128);
parent.mostCurrent._googlemapextra.runVoidMethod ("SetOnInfoWindowClickListener",(Object)((parent.mostCurrent._gmap.getObject())),(Object)((parent.mostCurrent._oninfowindowclicklistener1.getObject())));
 BA.debugLineNum = 266;BA.debugLine="End Sub";
Debug.ShouldStop(512);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _oninfowindowclicklistener1_click(RemoteObject _marker1) throws Exception{
try {
		Debug.PushSubsStack("OnInfoWindowClickListener1_click (mapa_rutas) ","mapa_rutas",21,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,271);
if (RapidSub.canDelegate("oninfowindowclicklistener1_click")) { return keymon.lat.medicomed.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","oninfowindowclicklistener1_click", _marker1);}
Debug.locals.put("Marker1", _marker1);
 BA.debugLineNum = 271;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
Debug.ShouldStop(16384);
 BA.debugLineNum = 272;BA.debugLine="skmt.ExecNonQuery(\"delete from CUENTAA\")";
Debug.ShouldStop(32768);
mapa_rutas._skmt.runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 273;BA.debugLine="skmt.ExecNonQuery2(\"INSERT INTO CUENTAA VALUES (?";
Debug.ShouldStop(65536);
mapa_rutas._skmt.runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?) ")),(Object)(mapa_rutas.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_marker1.runMethod(true,"getTitle"))})))));
 BA.debugLineNum = 274;BA.debugLine="Subs.guardaClienteHoraInicio(Marker1.Title)";
Debug.ShouldStop(131072);
mapa_rutas.mostCurrent._subs.runVoidMethod ("_guardaclientehorainicio" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(_marker1.runMethod(true,"getTitle")));
 BA.debugLineNum = 275;BA.debugLine="Activity.Finish";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 276;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 277;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
mapa_rutas._gps = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
mapa_rutas._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 10;BA.debugLine="Dim ruta As String";
mapa_rutas._ruta = RemoteObject.createImmutable("");
 //BA.debugLineNum = 11;BA.debugLine="Dim skmt As SQL";
mapa_rutas._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");
 //BA.debugLineNum = 12;BA.debugLine="Dim c As Cursor";
mapa_rutas._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Dim c2 As Cursor";
mapa_rutas._c2 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 14;BA.debugLine="Dim c22 As Cursor";
mapa_rutas._c22 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 15;BA.debugLine="Dim c3 As Cursor";
mapa_rutas._c3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}